Subject: Re: bug#70576: [PATCH] `repeat-echo-message-string': support repeat keymap "hints"

From: JD Smith <[email-masked]>
Date: Thu, 2 May 2024 07:47:31 -0400

Thanks for working on this.  I'm sorry I didn't have a chance to test the patch, it looks good.  I don't think a disable variable is necessary for now, since most repeat maps are self-defined.

> On May 2, 2024, at 3:16 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> Cc: [email-masked]
>> From: Juri Linkov <[email-masked]>
>> Date: Thu, 02 May 2024 09:48:06 +0300
>> 
>> close 70576 30.0.50
>> thanks
>> 
>>>>> (defvar-keymap expreg-repeat-map
>>>>>   :doc "Repeat map for `expreg' actions."
>>>>>   :repeat '(:hints ((expreg-expand . "expand") (expreg-contract . "contract")))
>>>>>   "\\" 'expreg-expand
>>>>>   "|"  'expreg-contract)
>>>> 
>>>> If a hint is missing for a command, it should just have its key mentioned.
>>>> It looks like your idea would require changes to defvar-keymap.  Do you
>>>> want to propose a patch?  We'd need some way to pass the hints in; perhaps
>>>> the macro could set a property on the command symbol as you initially
>>>> proposed.
>>> 
>>> Alright, let's add this to defvar-keymap.  Please try the following patch.
>> 
>> Thanks for the feature request.  This is pushed now.
> 
> Thanks, but please also update the ELisp manual and add an entry to
> NEWS about this change.